# -*- coding: utf-8 -*-
from setuphelpers import *
import requests
import re
try:
    import bs4 as BeautifulSoup
except:
    import BeautifulSoup

uninstallkey = []

def install():
    print('installing virtviewer')
    install_msi_if_needed(glob.glob('*.msi')[0])

def update_package():

    proxies = {}
    if isfile(makepath(user_local_appdata(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}

    page = requests.get('https://releases.pagure.org/virt-viewer/?C=M;O=D',proxies=proxies,headers={'User-Agent':'Mozilla/5.0 (Windows NT 6.1; Win64; x64)'}).text
    bs = BeautifulSoup.BeautifulSoup(page, "html.parser")
    reg = "virt-viewer-x64.*.msi$"
    link = bs.find(href=re.compile(reg, re.IGNORECASE))
    filemsi = link.get('href')

    for msi in glob.glob('*.msi'):
        if msi != filemsi:
            remove_file(msi)

    if not isfile(filemsi):
        wget('https://releases.pagure.org/virt-viewer/' + filemsi,filemsi,proxies=proxies)
    else:
        print('Already up to date, skipped')

    version = get_msi_properties(filemsi)['ProductVersion']

    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = version + '-0'
    pe.save_control_to_wapt(os.getcwd())

if __name__ == '__main__':
    update_package()

